'use strict';

var React = require('react');

function _interopNamespaceDefault(e) {
  var n = Object.create(null);
  if (e) {
    Object.keys(e).forEach(function (k) {
      if (k !== 'default') {
        var d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: function () { return e[k]; }
        });
      }
    });
  }
  n.default = e;
  return Object.freeze(n);
}

var React__namespace = /*#__PURE__*/_interopNamespaceDefault(React);

var _g, _defs;
var _excluded = ["title", "titleId"];
function _extends() { return _extends = Object.assign ? Object.assign.bind() : function (n) { for (var e = 1; e < arguments.length; e++) { var t = arguments[e]; for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]); } return n; }, _extends.apply(null, arguments); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
var SvgReusableBottle = function SvgReusableBottle(_ref) {
  var title = _ref.title,
    titleId = _ref.titleId,
    props = _objectWithoutProperties(_ref, _excluded);
  return /*#__PURE__*/React__namespace.createElement("svg", _extends({
    xmlns: "http://www.w3.org/2000/svg",
    fill: "none",
    viewBox: "0 0 80 80",
    "aria-labelledby": titleId
  }, props), title ? /*#__PURE__*/React__namespace.createElement("title", {
    id: titleId
  }, title) : null, _g || (_g = /*#__PURE__*/React__namespace.createElement("g", {
    clipPath: "url(#ReusableBottle_svg__a)"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    fill: "currentColor",
    d: "M40.749 2c-6.678 0-8.756 1.817-8.798 2.161v6.59a.57.57 0 0 0 .136.389c.09.11.218.185.361.215l.665.13.214 3.25c0 1.053-.161 2.1-.481 3.109-.298.779-1.643 4.587-2.366 6.634a42 42 0 0 1-.523 1.458c-2.313 6.175-1.942 16.472-1.926 16.892v29.666c0 .05.037 4.892 3.208 5.391l9.562.115 8.091-.115c3.036-.499 3.072-5.356 3.072-5.406V42.833c0-.105.456-10.523-1.884-16.882-.105-.32-2.465-6.989-2.873-8.087a10.1 10.1 0 0 1-.523-3.095l.14-3.33.65-.13a.6.6 0 0 0 .36-.214.55.55 0 0 0 .137-.384V4.76c0-.026-.309-2.761-7.222-2.761m.068 74.782-9.42-.1c-1.644-.264-2.026-3.37-2.037-4.188V42.788c-.052-1.777-.209-10.922 1.822-16.443.151-.54 2.575-7.313 2.873-8.082.398-1.141.603-2.336.607-3.539l-.152-3.16h11.07l-.184 3.195c-.005 1.201.19 2.396.576 3.54.382.998 2.847 7.986 2.868 8.07 2.235 5.921 1.873 16.025 1.847 16.474v29.631c0 1.033-.45 3.949-1.9 4.203zm-6.961-66.46-.58-.12V4.43l.036-.03c.083-.07 2.166-1.228 7.484-1.228 4.302 0 5.542 1.083 5.882 1.572h.053v5.456l-.566.12z"
  }))), _defs || (_defs = /*#__PURE__*/React__namespace.createElement("defs", null, /*#__PURE__*/React__namespace.createElement("clipPath", {
    id: "ReusableBottle_svg__a"
  }, /*#__PURE__*/React__namespace.createElement("path", {
    d: "M0 0h80v80H0z"
  })))));
};

exports.ReactComponent = SvgReusableBottle;
